#!/bin/bash

SCRIPT=$(readlink -f "$0")
SCRIPTPATH=$(dirname "$SCRIPT")

exec $SCRIPTPATH/RustDedicated -batchmode -nographics \
-server.port {{ rust_port }} \
-rcon.port {{ rust_port_rcon }} \
-rcon.password "{{ rust_rcon_password }}" \
-server.maxplayers {{ rust_max_players }} \
-server.hostname "{{ rust_server_name }}" \
-server.identity "{{ rust_identity }}" \
-server.level "{{ rust_level }}" \
-server.seed {{ rust_seed }} \
-server.worldsize {{ rust_worldsize }} \
-server.saveinterval {{ rust_saveinterval }} \
-server.globalchat true \
-server.description "[DSG] - {{ rust_description }}" \
-server.headerimage "{{ rust_headerimage|default('512x256px JPG/PNG headerimage link here', true)}}" \
-server.url "{{ rust_url_website }}"
-rcon.web 1